
QGIS Application - Bug report #2264

Identify tool act weird when "search radius for identifying features" is set to 0%

2009-12-11 08:07 AM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12324

Description

If click alongside of the boundary of two polygons, both polygons is selected.

Associated revisions

Revision eedea860 - 2009-12-23 09:51 PM - Jürgen Fischer

fix #2264

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12603 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2dc2034d - 2009-12-23 09:51 PM - Jürgen Fischer

fix #2264

git-svn-id: http://svn.osgeo.org/qgis/trunk@12603 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-11 08:10 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

you can configure the sensitivity of this tools in the qgis options

#2 - 2009-12-11 08:36 AM - dr -

Replying to [comment:1 lutra]:

you can configure the sensitivity of this tools in the qgis options

I've configured 'search radius for identifying'.

In fact, 0% work the same as 100%. Is it bug?

#3 - 2009-12-11 08:39 AM - Giovanni Manghi
In many software when you set "0" for some kind of configuration it means "No limit", so I guess this make sense.

#4 - 2009-12-11 08:43 AM - dr -

Replying to [comment:3 lutra]:

In many software when you set "0" for some kind of configuration it means "No limit", so I guess this make sense.

Thanks. But I can't find where I can configure select sensitivity.

#5 - 2009-12-11 08:55 AM - Giovanni Manghi

Replying to [comment:4 dr]:

But I can't find where I can configure select sensitivity.

I guess you are right, seems to miss. If is the case, what is the suggestion, use the same sensitivity of the identify tool?

#6 - 2009-12-11 09:10 AM - dr -

I think use the same sensitivity for selection is a good idea.

I find strange thing.

1. Set 0% identify radius;

2. Select some feature and then press deselect features button;

3. Try to identify some feature.

Identifiable feature is feature which was selected at 1 step.

#7 - 2009-12-11 09:21 AM - Giovanni Manghi

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

confirmed

new description:

1. Set 0% identify radius;

2. Select some features and then press deselect features button;

3. Try to identify some features.
Identifiable features are features which were selected at step 2 and the identify tool seems not able to identify more features.

#8 - 2009-12-11 09:22 AM - Giovanni Manghi

you may want to file also a enhancement ticket for the "select features" tool sensitivity.

#9 - 2009-12-23 12:51 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:2dc2034d (SVN r12604).

2025-12-21 3/3


